/** \file   archdep_exit.h
 * \brief   atexit(3) work arounds - header
 * \author  Bas Wassink <b.wassink@ziggo.nl>
 * \author  Blacky Stardust
 */

/*
 * This file is part of VICE, the Versatile Commodore Emulator.
 * See README for copyright notice.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 *  02111-1307  USA.
 *
 */

#ifndef ARCHDEP_EXIT_H
#define ARCHDEP_EXIT_H

#include <stdbool.h>

bool archdep_is_exiting(void);
void archdep_vice_exit(int excode);

/* TODO - something about these being in here */
#ifdef USE_GTK3UI
void archdep_thread_init(void);
void archdep_set_main_thread(void);
void archdep_set_vice_thread(void);
void archdep_thread_shutdown(void);
#endif

#endif
